> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Data Source

> Create a new datasource



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/datasource
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/datasource:
    post:
      tags:
        - Data Source
      summary: Create Data Source
      description: Create a new datasource
      operationId: create_data_source_api_v1_datasource_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IDataSourceCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_IDataSourceRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IDataSourceCreate:
      properties:
        ds_type:
          anyOf:
            - $ref: '#/components/schemas/IDSEnum'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        ds_status:
          anyOf:
            - $ref: '#/components/schemas/IDSStatusEnum'
            - type: 'null'
          default: empty
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
      type: object
      required:
        - ds_type
      title: IDataSourceCreate
    IPostResponseBase_IDataSourceRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IDataSourceRead'
            - type: 'null'
      type: object
      title: IPostResponseBase[IDataSourceRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IDSEnum:
      type: string
      enum:
        - pdf
        - doc
        - http
        - tool
        - text_blob
        - image
        - text_image
      title: IDSEnum
    IDSStatusEnum:
      type: string
      enum:
        - empty
        - initialized
        - in_process
        - ready_for_use
        - failed
      title: IDSStatusEnum
    IDataSourceRead:
      properties:
        ds_type:
          anyOf:
            - $ref: '#/components/schemas/IDSEnum'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        ds_status:
          anyOf:
            - $ref: '#/components/schemas/IDSStatusEnum'
            - type: 'null'
          default: empty
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - ds_type
        - id
      title: IDataSourceRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````